> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tiers



## OpenAPI

````yaml /openapi.json get /rewards_programs/{id}/tiers
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /rewards_programs/{id}/tiers:
    get:
      tags:
        - Tiers
      summary: List all tiers
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the rewards program
          required: true
      responses:
        '200':
          description: >-
            An object with a `tiers` key which contains an array of `Tier`
            objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  tiers:
                    type: array
                    items:
                      $ref: '#/components/schemas/Tier'
                    description: An array of tiers
                required:
                  - tiers
components:
  schemas:
    Tier:
      type: object
      properties:
        id:
          type: string
          description: The ID of the tier
        name:
          type: string
          description: The tier's name
        minimum_points:
          type: integer
          description: The minimum number of points to reach this tier
        associated_color:
          type: string
          nullable: true
          description: The color associated with this tier
        perks:
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  id:
                    type: string
                    description: The ID of the perk
                  perk_type:
                    type: string
                    description: The type of the perk
                  description:
                    type: string
                    nullable: true
                    description: The description of the perk
                  title:
                    type: string
                    nullable: true
                    description: The title of the perk
                  mariana_tek_icon:
                    type: string
                    nullable: true
                    description: The MarianaTek icon for the perk
                required:
                  - id
                  - perk_type
                  - description
                  - title
                  - mariana_tek_icon
              - type: string
          description: The perks associated with reaching this tier
      required:
        - id
        - name
        - minimum_points
        - associated_color
        - perks
      title: The Tier object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````